<!-- ...................................................................... -->
<!-- UML Interaction Model V1.0 ........................................... -->
<!-- File interact.mod .................................................... -->

<!-- Copyright(c) 1998 Normand Rivard.

     Permission to use, copy, modify and distribute the UML-Xchange DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty.

     If you modify the UML-Xchange DTD in any way, except for declaring and
     referencing additional sets of general entities and declaring
     additional notations, label your DTD as a variant of UML-Xchange.  See
     the maintenance documentation for more information.

     Please direct all questions, bug reports, or suggestions for
     changes to one of the maintainers:

     o Normand Rivard
       <nrivard@cam.org>

-->

<!ELEMENT interaction.mod   - - (%ident;, sequence.set, sequence.diagram*,
                                collaboration.diagram*)>

<!ELEMENT sequence.set  - - (object+, ( activation
                                        | message
                                        | deletion)*)>

<!ELEMENT object        - - (%ident;, name)>

<!ATTLIST object            from.class	IDREF           #IMPLIED
                            %idreq.common.attrib;>

<!ELEMENT activation    - o EMPTY>

<!ATTLIST activation        from        IDREF           #REQUIRED
                            act.event   (start | end )  #REQUIRED
                            %idreq.common.attrib;>

<!ELEMENT deletion      - o EMPTY>

<!ATTLIST deletion          from        IDREF       #REQUIRED
                            %idreq.common.attrib;>

<!ELEMENT message       - - (%ident;, name)>

<!ATTLIST message           from.op     IDREF           #IMPLIED
                            from.obj    IDREF           #REQUIRED
                            to.obj      IDREF           #REQUIRED
                            condition   CDATA           #IMPLIED
                            asynch      %yesorno.attvals;   #IMPLIED
                            iterator    %yesorno.attvals;   #IMPLIED
                            return      %yesorno.attvals;   #IMPLIED
                            %idreq.common.attrib;>

<!-- Interaction Diagram Components........................................ -->
<!-- ...................................................................... -->

<!ELEMENT sequence.diagram  - - (%ident;, name?, ( note
                                                | object.comp
                                                | activation.comp
                                                | message.comp
                                                )*)>

<!ATTLIST sequence.diagram  %rect;
                            %id.common.attrib;>

<!ELEMENT object.comp   - o EMPTY>

<!ATTLIST object.comp       from.set        IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT activation.comp   - o EMPTY>

<!ATTLIST activation.comp   from.set        IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT message.comp  - o (point, point+)>

<!ATTLIST message.comp      from.set        IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!-- Collaboration Diagram Components...................................... -->
<!-- ...................................................................... -->

<!ELEMENT collaboration.diagram - - (%ident;, name?, ( note
                                                    | object.comp
                                                    | message.comp
                                                    )*)>

<!ATTLIST collaboration.diagram %rect;
                                numbering   (seq | decimal) #IMPLIED
                                %id.common.attrib;>

<!-- End of Interaction model DTD V1.0 .................................... -->
<!-- ...................................................................... -->
